<?php

namespace Rhubarb\Sms\Sendables\Sms;

require_once __DIR__ . '/Sms.php';

class SimpleSms extends Sms
{
    private $text;

    public function setText($text)
    {
        $this->text = $text;
    }

    public function getText()
    {
        return $this->text;
    }

    public function toArray()
    {
        $recipientList = [];

        foreach ($this->getRecipients() as $recipient) {
            $recipientList[] = ["name" => $recipient->name, "number" => $recipient->number];
        }

        $data =
            [
                "recipients" => $recipientList,
                "text" => $this->getText()
            ];

        return $data;
    }

    /**
     * Create's an sms from an array of data previously returned via toArray()
     *
     * @param $data
     * @return SimpleSMS
     */
    public static function fromArray($data)
    {
        $email = new SimpleSMS();

        foreach ($data["recipients"] as $recipient) {
            $email->addRecipientByNumber($recipient["number"], $recipient["name"]);
        }

        $email->setText($data["text"]);

        return $email;
    }
}
